Bug 99162 - grubby fails when installing 2.4.20-18.9 w/ 2.4.20-13.9
Summary: grubby fails when installing 2.4.20-18.9 w/ 2.4.20-13.9
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mkinitrd (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-15 12:43 UTC by Chris Ricker
Modified: 2007-04-18 16:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-26 20:19:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
grub.conf (723 bytes, text/plain)
2003-07-15 12:44 UTC, Chris Ricker
no flags Details

Description Chris Ricker 2003-07-15 12:43:27 UTC
My machine already had 2.4.20-13.9.i686 installed as its only kernel. When I
tried to also install 2.4.20-18.9.i686, grubby failed:

[root@server1 errata]# rpm -ivh kernel-2.4.20-18.9.i686.rpm
Preparing...                ########################################### [100%]
   1:kernel                 ########################################### [100%]
grubby fatal error: unable to find a suitable template
[root@server1 errata]#

Current grub.conf attached momentarily

Comment 1 Chris Ricker 2003-07-15 12:44:18 UTC
Created attachment 92932 [details]
grub.conf

Comment 2 Chris Ricker 2003-07-15 12:45:02 UTC
As you can see from the attached grub.conf, grubby claims to have failed, but it
actually worked....

Comment 3 Jeremy Katz 2003-08-27 00:04:47 UTC
Have you seen this again?  I can't see any way for it to happen

Comment 4 Chris Ricker 2003-09-26 20:13:10 UTC
I didn't get this going from 18.9 to 19.9 or 19.9 to 20.9....

Comment 5 Jeremy Katz 2003-09-26 20:19:22 UTC
Hrmm, going to close as worksforme, then.  Reopen if you reproduce.


Note You need to log in before you can comment on or make changes to this bug.